zenilib: zenilib/jni/external/freetype2/src/autofit/afcjk.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
afcjk.h File Reference
`#include "afhints.h"`
`#include "aflatin.h"`

Go to the source code of this file.

## Classes

struct | AF_CJKAxisRec_
struct | AF_CJKBlueRec_
struct | AF_CJKMetricsRec_

## Macros

#define | AF_CJK_MAX_BLUES AF_CJK_BLUE_MAX
#define | AF_CJK_MAX_WIDTHS 16

## Typedefs

typedef struct AF_CJKAxisRec_ * | AF_CJKAxis
typedef struct AF_CJKAxisRec_ | AF_CJKAxisRec
typedef struct AF_CJKBlueRec_ * | AF_CJKBlue
typedef struct AF_CJKBlueRec_ | AF_CJKBlueRec
typedef struct AF_CJKMetricsRec_ * | AF_CJKMetrics
typedef struct AF_CJKMetricsRec_ | AF_CJKMetricsRec

## Enumerations

enum | { AF_CJK_BLUE_TOP, AF_CJK_BLUE_BOTTOM, AF_CJK_BLUE_LEFT, AF_CJK_BLUE_RIGHT, AF_CJK_BLUE_MAX }
enum | { AF_CJK_BLUE_ACTIVE = 1 << 0, AF_CJK_BLUE_IS_TOP = 1 << 1, AF_CJK_BLUE_IS_RIGHT = 1 << 2, AF_CJK_BLUE_ADJUSTMENT = 1 << 3, AF_CJK_BLUE_FLAG_MAX }

## Functions

| af_cjk_hints_apply (AF_GlyphHints hints, FT_Outline *outline, AF_CJKMetrics metrics)
| af_cjk_hints_init (AF_GlyphHints hints, AF_CJKMetrics metrics)
| af_cjk_metrics_check_digits (AF_CJKMetrics metrics, FT_Face face)
| af_cjk_metrics_init (AF_CJKMetrics metrics, FT_Face face)
| af_cjk_metrics_init_widths (AF_CJKMetrics metrics, FT_Face face, FT_ULong charcode)
| af_cjk_metrics_scale (AF_CJKMetrics metrics, AF_Scaler scaler)

## Macro Definition Documentation

#define AF_CJK_MAX_BLUES AF_CJK_BLUE_MAX

Definition at line 52 of file afcjk.h.

#define AF_CJK_MAX_WIDTHS 16

Definition at line 51 of file afcjk.h.

## Typedef Documentation

typedef struct AF_CJKAxisRec_ * AF_CJKAxis

typedef struct AF_CJKAxisRec_ AF_CJKAxisRec

typedef struct AF_CJKBlueRec_ * AF_CJKBlue

typedef struct AF_CJKBlueRec_ AF_CJKBlueRec

typedef struct AF_CJKMetricsRec_ * AF_CJKMetrics

typedef struct AF_CJKMetricsRec_ AF_CJKMetricsRec

## Enumeration Type Documentation

anonymous enum

Enumerator
AF_CJK_BLUE_TOP |
AF_CJK_BLUE_BOTTOM |
AF_CJK_BLUE_LEFT |
AF_CJK_BLUE_RIGHT |
AF_CJK_BLUE_MAX |

Definition at line 40 of file afcjk.h.

anonymous enum

Enumerator
AF_CJK_BLUE_ACTIVE |
AF_CJK_BLUE_IS_TOP |
AF_CJK_BLUE_IS_RIGHT |
AF_CJK_BLUE_ADJUSTMENT |
AF_CJK_BLUE_FLAG_MAX |

Definition at line 55 of file afcjk.h.

## Function Documentation

af_cjk_hints_apply | ( | AF_GlyphHints | hints,
|  | FT_Outline * | outline,
|  | AF_CJKMetrics | metrics
| ) |  |

af_cjk_hints_init | ( | AF_GlyphHints | hints,
|  | AF_CJKMetrics | metrics
| ) |  |

af_cjk_metrics_check_digits | ( | AF_CJKMetrics | metrics,
|  | FT_Face | face
| ) |  |

af_cjk_metrics_init | ( | AF_CJKMetrics | metrics,
|  | FT_Face | face
| ) |  |

af_cjk_metrics_init_widths | ( | AF_CJKMetrics | metrics,
|  | FT_Face | face,
|  | FT_ULong | charcode
| ) |  |

af_cjk_metrics_scale | ( | AF_CJKMetrics | metrics,
|  | AF_Scaler | scaler
| ) |  |